﻿
.invoice-number-format-container {
    margin: 10px;
    position: fixed;
    top: 4rem;
    right: 0;
    left: 11.1rem;
    bottom: 4rem;
    overflow-x: auto;
    width: auto;
    background: #e0e0e0;
    padding: 4px;
    border-radius: 6px;
}

.invoice-number-format-column {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px;
    margin: 10px;
    box-shadow: 0 0 12px rgba(0,0,0,0.25);
    border-radius: 6px;
    max-width: auto;
    background: #ffffff;
}

.invoice-number-format-contant {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 0.5fr 0.5fr 0.5fr;
    gap: 10px;
}

.invoice-number-format-contant.disabled-row {
    position: relative;
    opacity: 0.5;
    cursor: not-allowed;
}

.invoice-number-format-contant.disabled-row::after {
    content: "";
    position: absolute;
    inset: 0;
    cursor: not-allowed;
}